Gateways - Create Gateway
Creates a gateway.
Required Delegated Scopes
Gateway.ReadWrite.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
POST https://api.fabric.microsoft.com/v1/gateways
Request Body
CreateVirtualNetworkGatewayRequest
| Name | Required | Type | Description |
|---|---|---|---|
| capacityId | True |
string (uuid) |
The object ID of the Fabric license capacity. |
| displayName | True |
string |
The display name of the virtual network gateway. Maximum length is 200 characters. |
| inactivityMinutesBeforeSleep | True |
integer |
The minutes of inactivity before the virtual network gateway goes into auto-sleep. Must be one of the following values: 30, 60, 90, 120, 150, 240, 360, 480, 720, 1440. |
| numberOfMemberGateways | True |
integer |
The number of member gateways. A number between 1 and 9. |
| type | True |
string:
Virtual |
The type of the gateway. |
| virtualNetworkAzureResource | True |
The Azure virtual network resource. |
Responses
| Name | Type | Description |
|---|---|---|
| 201 Created | Gateway: |
Created. The operation was successful. |
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Virtual network gateway example
Sample request
POST https://api.fabric.microsoft.com/v1/gateways
{
"type": "VirtualNetwork",
"displayName": "ContosoVirtualNetworkGateway",
"capacityId": "ed26b6f3-7bc5-44b0-9565-a8942619ef4c",
"virtualNetworkAzureResource": {
"subscriptionId": "879b4ba0-ed17-4ff2-851e-4a2228e00b70",
"resourceGroupName": "ContosoResourceGroup",
"virtualNetworkName": "ContosoVirtualNetwork",
"subnetName": "ContosoSubnet"
},
"inactivityMinutesBeforeSleep": 120,
"numberOfMemberGateways": 3
}
Sample response
{
"id": "271c5c9a-0860-4927-b1da-ce49008d6565",
"type": "VirtualNetwork",
"displayName": "ContosoVirtualNetworkGateway",
"capacityId": "ed26b6f3-7bc5-44b0-9565-a8942619ef4c",
"virtualNetworkAzureResource": {
"subscriptionId": "879b4ba0-ed17-4ff2-851e-4a2228e00b70",
"resourceGroupName": "ContosoResourceGroup",
"virtualNetworkName": "ContosoVirtualNetwork",
"subnetName": "ContosoSubnet"
},
"inactivityMinutesBeforeSleep": 120,
"numberOfMemberGateways": 3
}
Definitions
| Name | Description |
|---|---|
|
Create |
|
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Gateway |
The type of the gateway. Additional gateway types may be added over time. |
|
Load |
The load balancing setting of the gateway cluster. Additional load balancing settings may be added over time. |
|
On |
|
|
On |
|
|
Public |
The public key of the on-premises gateway. |
|
Virtual |
The properties of a Virtual Network Azure resource |
|
Virtual |
CreateVirtualNetworkGatewayRequest
| Name | Type | Description |
|---|---|---|
| capacityId |
string (uuid) |
The object ID of the Fabric license capacity. |
| displayName |
string |
The display name of the virtual network gateway. Maximum length is 200 characters. |
| inactivityMinutesBeforeSleep |
integer |
The minutes of inactivity before the virtual network gateway goes into auto-sleep. Must be one of the following values: 30, 60, 90, 120, 150, 240, 360, 480, 720, 1440. |
| numberOfMemberGateways |
integer |
The number of member gateways. A number between 1 and 9. |
| type |
string:
Virtual |
The type of the gateway. |
| virtualNetworkAzureResource |
The Azure virtual network resource. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
GatewayType
The type of the gateway. Additional gateway types may be added over time.
| Value | Description |
|---|---|
| OnPremises |
The on-premises gateway. |
| OnPremisesPersonal |
The on-premises gateway (personal mode). |
| VirtualNetwork |
The virtual network gateway. |
LoadBalancingSetting
The load balancing setting of the gateway cluster. Additional load balancing settings may be added over time.
| Value | Description |
|---|---|
| Failover |
Requests will be sent to the first available gateway cluster member. |
| DistributeEvenly |
Requests will be distributed evenly among all enabled gateway cluster members. |
OnPremisesGateway
| Name | Type | Description |
|---|---|---|
| allowCloudConnectionRefresh |
boolean |
Whether to allow cloud connections to refresh through this on-premises gateway. True - Allow, False - Do not allow. |
| allowCustomConnectors |
boolean |
Whether to allow custom connectors to be used with this on-premises gateway. True - Allow, False - Do not allow. |
| displayName |
string |
The display name of the on-premises gateway. |
| id |
string (uuid) |
The object ID of the gateway. |
| loadBalancingSetting |
The load balancing setting of the on-premises gateway. |
|
| numberOfMemberGateways |
integer |
The number of gateway members in the on-premises gateway. |
| publicKey |
The public key of the primary gateway member. Used to encrypt the credentials for creating and updating connections. |
|
| type |
string:
On |
The type of the gateway. |
| version |
string |
The version of the installed primary gateway member. |
OnPremisesGatewayPersonal
| Name | Type | Description |
|---|---|---|
| id |
string (uuid) |
The object ID of the gateway. |
| publicKey |
The public key of the gateway. Used to encrypt the credentials for creating and updating connections. |
|
| type |
string:
On |
The type of the gateway. |
| version |
string |
The version of the gateway. |
PublicKey
The public key of the on-premises gateway.
| Name | Type | Description |
|---|---|---|
| exponent |
string |
The exponent of the public key. |
| modulus |
string |
The modulus of the public key. |
VirtualNetworkAzureResource
The properties of a Virtual Network Azure resource
| Name | Type | Description |
|---|---|---|
| resourceGroupName |
string |
The name of the resource group |
| subnetName |
string |
The name of the subnet |
| subscriptionId |
string (uuid) |
The subscription ID |
| virtualNetworkName |
string |
The name of the virtual network |
VirtualNetworkGateway
| Name | Type | Description |
|---|---|---|
| capacityId |
string (uuid) |
The object ID of the Fabric license capacity. |
| displayName |
string |
The display name of the virtual network gateway. |
| id |
string (uuid) |
The object ID of the gateway. |
| inactivityMinutesBeforeSleep |
integer |
The minutes of inactivity before the virtual network gateway goes into auto-sleep. |
| numberOfMemberGateways |
integer |
The number of member gateways. |
| type |
string:
Virtual |
The type of the gateway. |
| virtualNetworkAzureResource |
The Azure virtual network resource. |